## org.eclipse.amp.agf.gef
Class ScapeEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.ScapeEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  ScapeEdit3DPart, ScapeGraphEditPart

    public class ScapeEditPart

extends GenericEditPart
implements java.beans.PropertyChangeListener, org.eclipse.gef.NodeEditPart

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, SCALE`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeEditPart(ICompositionProvider memberProvider, ILocationProvider locationProvider, org.eclipse.jface.viewers.IFilter filter)`

Method Summary
`org.eclipse.draw2d.geometry.Dimension` `calculateDimension()`
`org.eclipse.jface.viewers.IFilter` `getFilter()`
`java.util.List<ScapeGraphEditPart>` `getGraphParts()`
`ILocationProvider` `getLocationProvider()`
`ICompositionProvider` `getMemberProvider()`
`java.lang.Object` `getModelRoot()`
`ScapeEditPart` `getRootScapeEditPart()`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`java.util.List` `getSourceConnections()`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`java.util.List` `getTargetConnections()`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` `refresh()`
`void` `setFilter(org.eclipse.jface.viewers.IFilter filter)`
`void` `setLocationProvider(ILocationProvider locationProvider)`
`void` `setMemberProvider(ICompositionProvider memberProvider)`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, deactivate`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, getAdapter, getContentPane, getDragTracker, getFigure, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ScapeEditPart

    public ScapeEditPart(ICompositionProvider memberProvider,
                         ILocationProvider locationProvider,
                         org.eclipse.jface.viewers.IFilter filter)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### calculateDimension

    public org.eclipse.draw2d.geometry.Dimension calculateDimension()

### getGraphParts

    public java.util.List<ScapeGraphEditPart> getGraphParts()

### getRootScapeEditPart

    public ScapeEditPart getRootScapeEditPart()

### getSourceConnections

    public java.util.List getSourceConnections()

  Specified by:
    `getSourceConnections` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getSourceConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getTargetConnections

    public java.util.List getTargetConnections()

  Specified by:
    `getTargetConnections` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getTargetConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `GenericEditPart`

### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

### setFilter

    public void setFilter(org.eclipse.jface.viewers.IFilter filter)

### getMemberProvider

    public ICompositionProvider getMemberProvider()

### setMemberProvider

    public void setMemberProvider(ICompositionProvider memberProvider)

### getLocationProvider

    public ILocationProvider getLocationProvider()

### setLocationProvider

    public void setLocationProvider(ILocationProvider locationProvider)

### getModelRoot

    public java.lang.Object getModelRoot()